package es.rickyepoderi.samples.client;

import es.rickyepoderi.samples.ejb.RemoteCounter;
import es.rickyepoderi.samples.utils.EjbUtils;
import java.util.Scanner;
import javax.naming.InitialContext;

public class CounterClient {

    public static void main(String... args) throws Exception {
        InitialContext context = null;
        try {
            context = EjbUtils.createContext();
            final String lookupName = EjbUtils.getCounterBeanName();
            System.out.print("Looking up ejb " + lookupName + "... ");
            RemoteCounter statefulRemoteCounter = (RemoteCounter) context.lookup(lookupName);
            System.out.println("OK");
            Scanner scanner = new Scanner(System.in);
            boolean cont = true;
            while (cont) {
                System.out.println("Current value is: " + statefulRemoteCounter.getCount() + " working in node " + statefulRemoteCounter.getJbossNode());
                System.out.println("What do you want to do...");
                System.out.print("  increment[i], decrement[d], quit[q] (default i): ");
                String action = scanner.nextLine();
                if (action.isEmpty() || "increment".startsWith(action)) {
                    System.out.println("Incrementing...");
                    statefulRemoteCounter.increment();
                } else if ("decrement".startsWith(action)) {
                    System.out.println("Decrementing...");
                    statefulRemoteCounter.decrement();
                } else if ("quit".startsWith(action)) {
                    System.out.println("Quiting...");
                    cont = false;
                } else {
                    System.out.println("Invalid option: " + action);
                }
            }
        } finally {
            if (context != null) {
                try {
                    context.close();
                } catch (Exception e) {
                }
            }
        }
    }

}
