package es.rickyepoderi.samples.ejb;

import javax.ejb.Remote;
import javax.ejb.Stateful;

@Stateful
@Remote(RemoteCounter.class)
public class CounterBean implements RemoteCounter {
 
    private int count = 0;
 
    @Override
    public void increment() {
        this.count++;
    }
 
    @Override
    public void decrement() {
        this.count--;
    }
 
    @Override
    public int getCount() {
        return this.count;
    }

    @Override
    public String getJbossNode() {
        return System.getProperty("jboss.node.name");
    }
}
